### Hierarchy

- Uint16ArrayConstructor

## Index

### Constructors

- constructor

### Properties

- BYTES_PER_ELEMENT
- prototype

### Methods

- from
- of

## Constructors

### constructor

- new Uint16ArrayConstructor(length: number): Uint16Array
- new Uint16ArrayConstructor(arrayOrArrayBuffer: ArrayLike<number> | ArrayBufferLike): Uint16Array
- new Uint16ArrayConstructor(buffer: ArrayBufferLike, byteOffset: number, length?: undefined | number): Uint16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2986

  #### Parameters

  - ##### length: number

  #### Returns Uint16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2987

  #### Parameters

  - ##### arrayOrArrayBuffer: ArrayLike<number> | ArrayBufferLike

  #### Returns Uint16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2988

  #### Parameters

  - ##### buffer: ArrayBufferLike

  - ##### byteOffset: number

  - ##### Optional length: undefined | number

  #### Returns Uint16Array

## Properties

### BYTES_PER_ELEMENT

BYTES_PER_ELEMENT: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2994

The size in bytes of each element in the array.

### prototype

prototype: Uint16Array

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2986

## Methods

### from

- from(arrayLike: ArrayLike<number>, mapfn?: undefined | function, thisArg?: any): Uint16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:3008

  Creates an array from an array-like or iterable object.

  #### Parameters

  - ##### arrayLike: ArrayLike<number>

    An array-like or iterable object to convert to an array.

  - ##### Optional mapfn: undefined | function

    A mapping function to call on every element of the array.

  - ##### Optional thisArg: any

    Value of 'this' used to invoke the mapfn.

  #### Returns Uint16Array

### of

- of(...items: number[]): Uint16Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:3000

  Returns a new array from a set of elements.

  #### Parameters

  - ##### Rest ...items: number[]

    A set of elements to include in the new array object.

  #### Returns Uint16Array

Generated using TypeDoc